void moveone (char from, char to) {
    printf("%c -> %c\n", from, to);
}

void henoi (int n, char from, char to, char by) {
    if (n == 1) moveone(from, to);
    else {
        henoi(n-1, from, by, to);
        moveone(from, to);
        henoi(n-1, by, to, from);
    }
}






